Net::SSH::Perl::Cipher::IDEA(3)

NAME
Net::SSH::Perl::Cipher::IDEA - Wrapper for SSH IDEA support

SYNOPSIS
    use Net::SSH::Perl::Cipher;
    my $cipher = Net::SSH::Perl::Cipher->new('IDEA', $key);
    print $cipher->encrypt($plaintext);

DESCRIPTION
Net::SSH::Perl::Cipher::IDEA provides IDEA encryption support for Net::SSH::Perl. To do so it wraps around Crypt::IDEA, a C/XS implementation of the IDEA algorithm.

The IDEA algorithm used here is in CFB filter mode with a key length of 16 bytes.

AUTHOR & COPYRIGHTS
Please see the Net::SSH::Perl manpage for author, copyright, and license information.